GHSA-hpv5-v8g5-c864

Suggest an improvement
Source
https://github.com/advisories/GHSA-hpv5-v8g5-c864
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-hpv5-v8g5-c864/GHSA-hpv5-v8g5-c864.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-hpv5-v8g5-c864
Aliases
Published
2022-05-17T00:26:00Z
Modified
2024-02-16T08:01:43.287585Z
Severity
  • 6.1 (Medium) CVSS_V3 - CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS Calculator
Summary
Cross-site Scripting in Mistune
Details

mistune.py in Mistune 0.7.4 allows XSS via an unexpected newline (such as in java\nscript:) or a crafted email address, related to the escape and autolink functions.

References

Affected packages

PyPI / mistune

Package

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.8

Affected versions

0.*

0.1.0
0.2.0
0.3.0
0.3.1
0.4
0.4.1
0.5
0.5.1
0.6
0.7
0.7.1
0.7.2
0.7.3
0.7.4